Summary: Limit the number of kernels installed for the yum package manager
Name: yum-plugin-installonlyn
Version: 0.91
Release: 1%{?dist}
License: GPL
Group: Development/Tools
Source: %{name}-%{version}.tar.gz
Patch0: yum-plugin-installonlyn-sme_fix.patch
URL: http://wiki.linux.duke.edu/YumPlugins
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Requires: python, yum >= 2.3.4

%description
The installonlyn plugin for yum will allow you to set the number of retained 
kernels installed on your system.

%prep
%setup -q
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT

plugins="installonlyn"
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/yum/pluginconf.d/ $RPM_BUILD_ROOT/usr/lib/yum-plugins/

for plug in $plugins; do
    install -m 644 $plug.conf $RPM_BUILD_ROOT/%{_sysconfdir}/yum/pluginconf.d/
    install -m 644 $plug.py $RPM_BUILD_ROOT/usr/lib/yum-plugins/
done

%clean
rm -rf $RPM_BUILD_ROOT

%post

%preun

%files
%defattr(-, root, root)
%doc README* 
%doc COPYING
%doc ChangeLog 
%{_sysconfdir}/yum/pluginconf.d
/usr/lib/yum-plugins

%changelog
* Wed Mar 26 2008 Paul Floor <paul@smeserver.us> 0.91-1
- first version extracted from yum-utils-0.5-2
- fixed counting error in installonlyn.py
- increased tokeep to 5
